Skip to content

Custom Operators

Custom Operators management.

Add a new custom operator

Request

Register a custom operator which can be re-used in multiple workflows.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/jsonrequired

Request payload for registering custom operator

namestringrequired
Example:"hello_world_operator"
classNamestringrequired
Example:"HelloWorld"
descriptionstringrequired
Example:"Used to print hello world"
contentstringrequired
Example:"Content of the custom operator"
propertiesArray of objects(CustomOperatorProperty)
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/workflow/v1/customOperator \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "name": "hello_world_operator",
    "className": "HelloWorld",
    "description": "Used to print hello world",
    "content": "Content of the custom operator",
    "properties": [
      {
        "name": "some Variable",
        "description": "some Description",
        "mandatory": true
      }
    ]
  }'

Responses

Sucessfully registered operator

Bodyapplication/json
idstringrequired
Example:"some_id"
namestringrequired
Example:"hello_world_operator"
classNamestringrequired
Example:"HelloWorld"
descriptionstringrequired
Example:"Used to print hello world"
createdBystringread-only
createdAtstring, (date-time)
propertiesArray of objects(CustomOperatorProperty)
Response
{ "id": "some_id", "name": "hello_world_operator", "className": "HelloWorld", "description": "Used to print hello world", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "properties": [ { … } ] }